<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.SentenceQuestionMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.SentenceQuestion">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="is_trail" jdbcType="INTEGER" property="isTrail" />
    <result column="is_custom" jdbcType="INTEGER" property="isCustom" />
    <result column="no" jdbcType="INTEGER" property="no" />
    <result column="question_id" jdbcType="INTEGER" property="questionId" />
    <result column="question_no_id" jdbcType="INTEGER" property="questionNoId" />
    <result column="total_time" jdbcType="INTEGER" property="totalTime" />
    <result column="total_number" jdbcType="INTEGER" property="totalNumber" />
    <result column="total_correct" jdbcType="INTEGER" property="totalCorrect" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.qxgmat.data.dao.entity.SentenceQuestion">
    <!--
      WARNING - @mbg.generated
    -->
    <result column="chinese" jdbcType="LONGVARCHAR" property="chinese" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `title`, `is_trail`, `is_custom`, `no`, `question_id`, `question_no_id`, `total_time`, 
    `total_number`, `total_correct`
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `chinese`
  </sql>
</mapper>